<div class="container">
  <div class="row">
    <div class="col-12 text-center">
      <h1>Lostman</h1>    
    </div>
    <div class="col-12">
      <h3>Sign In</h3>
    </div>
    <div class="col-12">
      <form ng-controller="loginController" ng-submit="loginUser()">
        <div class="form-group">
          <label for="username">
            username
          </label>
          <input type="text" class="form-control" name="username" placeholder="Username" ng-model="login.username">
        </div>
        <div class="form-group">
          <label for="password">
            password
          </label>
          <input type="password" class="form-control" name="password" placeholder="Password" ng-model="login.password">
        </div>
        <div class="form-group" ng-show="hasLoginError">
          <span class="help-block">
            {{loginError}}
          </span>
        </div>
        <button type="submit" class="btn btn-primary" ng-disabled="disableLoginBtn">Sign In</button>
      </form>
    </div>
    <div class="col-12">
      <p style="padding-top: 50px;"></p>
      <h3>
        Register
      </h3>
    </div>
    <div class="col-12">
      <form ng-controller="registerController" ng-submit="registerUser()">
        <div class="form-group">
          <label for="regUsername">
            Username
          </label>
          <input type="text" class="form-control" name="regUsername" placeholder="Username" ng-model="register.username">
        </div>
        <div class="form-group">
          <label for="regPassword">
            Password
          </label>
          <input type="password" class="form-control" name="regPassword" placeholder="Password" ng-model="register.password"> 
        </div>
        <div class="form-group">
            <span class="help-block">
              {{regMessage}}
            </span>
          </div>
        <button type="submit" class="btn btn-success">Register</button>
      </form>
    </div>
  </div>
</div>